#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ScreenWordData
{
	//±àºÅ
	int mID;
	//ÆÁ±Î×Ö
	std::string mName;
};

class M_ScreenWord
{
public:
private:
	static std::auto_ptr<M_ScreenWord> msSingleton;
public:
	int GetCount();
	const M_ScreenWordData* GetData(int ID);
	boost::unordered_map<int, M_ScreenWordData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ScreenWord* GetSingleton();
private:
	boost::unordered_map<int, M_ScreenWordData> mMapData;
};
